<?php
 include 'config/conexion_combo.php';
conectar();
session_start();
if (!$_SESSION){
echo '<script language = javascript>
self.location = "index.php"
</script>';
}
$usuario = $_SESSION['persona'];
$consulta= "SELECT nombres_per, apellidos_per,id_per FROM persona WHERE id_per='".$usuario."'"; 
$resultado= mysql_query($consulta);
$fila=mysql_fetch_array($resultado);
$nombres = $fila['nombres_per']; $apellidos = $fila['apellidos_per']; $id_usuario=$fila['id_per'];
$tusuario = $_SESSION['seguridad'];
$consulta= "SELECT tipo_tip FROM tipo_usuario WHERE id_tip='".$tusuario."'"; 
$resultado= mysql_query($consulta);
$fila=mysql_fetch_array($resultado);
$usuario = $fila['tipo_tip'];
?>

<?php
require('functions.php');
if(isset($_POST['submit'])){
	require('clases/cliente.class.php');
	$objCliente=new Cliente;
	
	$ciudad = htmlspecialchars(trim($_POST['ciudad']));
	$institucion = htmlspecialchars(trim($_POST['institucion']));
	$grados_cursados = htmlspecialchars(trim($_POST['grados_cursados']));
	$anos_cursados = htmlspecialchars(trim($_POST['anos_cursados']));
	$causa_cambio = htmlspecialchars(trim($_POST['causa_cambio']));
    $genero_per = htmlspecialchars(trim($_POST['genero_per']));
	//$usuario_per = htmlspecialchars(trim($_POST['usuario_per']));
	$contrasena_per = htmlspecialchars(trim($_POST['contrasena_per']));
	$tipo_usu = htmlspecialchars(trim($_POST['tipo_usu']));
		$id_escAsp = htmlspecialchars(trim($_POST['id_escAsp']));
	//$usuario_usu= htmlspecialchars(trim($_POST['usuario_usu']));
	//$contrasena_usu= htmlspecialchars(trim($_POST['contrasena_usu']));
	$max_id= htmlspecialchars(trim($_POST['max_id']));
	
	
	if (  $objCliente->actualizar_escolaridad(array($causa_cambio,$grados_cursados,$anos_cursados,$institucion,$ciudad),$id_escAsp)== true){
		echo 'Datos guardados';
	}else{
		echo 'Se produjo un error. Intente nuevamente';
	} 
}else{
	if(isset($_GET['id_escAsp'])){
		
		require('clases/cliente.class.php');
		$objCliente=new Cliente;
		$consulta = $objCliente->mostrar_esco($_GET['id_escAsp'],$id_usuario);
		$cliente = mysql_fetch_array($consulta);
		
		echo "<meta http-equiv='Content-Type' content='text/html; charset=iso-8859-1' />";
		echo "<head><link href='css/estilo.css' rel='stylesheet' type='text/css' /></head>";
	?>
  

	      <script language="javascript">
		$(document).ready(function(){
   			$("#cmbciudad").change(function () {
   				$("#cmbciudad option:selected").each(function () {
					elegido=$(this).val();
					$.post("estados.php", { elegido: elegido }, function(data){
					$("#cmbinstitucion").html(data);
					
					});			
        		});
   			})
			
			// Este puede ponerse en comentario si no se dispone de un 3er combo:
			
			});
			</script></p><br />
	<form id="frmClienteActualizar" name="frmClienteActualizar" method="post" action="actualizar_escolaridad.php" onsubmit="ActualizarDatos2(); return false">
    	<input type="hidden" name="id_escAsp" id="id_escAsp" value="<?php echo $cliente['id_escAsp']?>" />
        <p>
	  <label class="lbl">Ciudad:<br />
	  <input class="inputxt2" type="text" name="ciudad" id="ciudad" value="<?php echo $cliente['ciudad']?>" />
	  </label>
      </p>
	  <p>
		<label class="lbl">Instituci&oacuten:<br />
		<input class="inputxt2" type="text" name="institucion" id="institucion" value="<?php echo $cliente['institucion']?>"  />
		</label>
	  </p>
	  <p>
		<label class="lbl">Grados Cursados:<br />
		<input type="text" name="grados_cursados" id="grados_cursados" value="<?php echo $cliente['gradosCur_escAsp']?>" class="inputxt2"  />
		</label>
	  </p>
      <p>
	  <label class="lbl">A&ntilde;os:<br />	  
	    <label for="anos_cursados"></label>
	    <input type="text" name="anos_cursados" id="anos_cursados" value="<?php echo $cliente['anoCur_escAsp']?>" class="inputxt2" /></label>
	  </p>
      <p>
	  <label class="lbl">Causa de Cambio:<br />	  
	    <textarea name="causa_cambio" id="causa_cambio" cols="45" rows="5" class="inputxtarea" > <?php echo $cliente['causaCam_escAsp']?> </textarea>
	  </label>
      </p>
	  <p>
	    
        <p><br />
	    <input type="submit" name="submit" id="button" value="Actualizar"  class="btnform"/>
		<label></label>
		<input type="button" name="cancelar" id="cancelar" value="Cancelar" onclick="Cancelar()" class="btnform" />
	  </p><br />
	</form>
	<?php
	}
}
?>